# This file was auto-generated by ZETUP
#
# Zimmermann's Extensible Tools for Unified Project setups
#
# https://github.com/zimmermanncode/zetup


from __future__ import absolute_import

import sys
import os
from collections import OrderedDict

from zetup.version import Version
from zetup.dist import Distribution
from zetup.requires import Requirements
from zetup.extras import Extras
from zetup.package import Packages, Package
from zetup.notebook import Notebook



zfg = sys.modules[__name__]

NAME = 'zetup'

LICENSE = 'LGPLv3'

TITLE = 'zetup'

PYTHON = ['2.7', '3.4', '3.5', '3.6']

MODULES = []

FORCE_MAKE = True

KEYWORDS = ['zetup', 'project', 'tools', 'config', 'ini', 'setup', 'requirements', 'extras', 'packages', 'package', 'toplevel', 'object', 'meta', 'subprocess', 'process', 'popen', 'call', 'python3', 'python3']

PACKAGES = Packages([

Package('zetup',
  sources=[
    'dist.py',
    'script.py',
    'test_classpackage.py',
    'zetup.py',
    'annotate.py',
    'func.py',
    'program.py',
    'object.py',
    'modules.py',
    'requires.py',
    '__main__.py',
    'resolve.py',
    'config.py',
    'version.py',
    '__init__.py',
    'conda.py',
    'error.py',
    'extras.py',
    'package.py'
    ],
  subpackages=[
    
Package('zetup.doc',
  sources=[
    '__init__.py'
    ],
  subpackages=[
    
    ],
  )
,
    
Package('zetup.pip',
  sources=[
    'test_errors.py',
    '__init__.py',
    'errors.py'
    ],
  subpackages=[
    
    ],
  )
,
    
Package('zetup.commands',
  sources=[
    'command.py',
    'del_.py',
    'test.py',
    'tox.py',
    '__init__.py',
    'run.py',
    'dev.py',
    'pytest.py',
    'conda.py',
    'error.py'
    ],
  subpackages=[
    
Package('zetup.commands.make',
  sources=[
    '__init__.py'
    ],
  subpackages=[
    
    ],
  )

    ],
  )
,
    
Package('zetup.classes',
  sources=[
    'member_module.py',
    '__init__.py',
    'package.py'
    ],
  subpackages=[
    
Package('zetup.classes.test',
  sources=[
    '__init__.py'
    ],
  subpackages=[
    
Package('zetup.classes.test.Class',
  sources=[
    'methods.py',
    '__init__.py'
    ],
  subpackages=[
    
    ],
  )

    ],
  )

    ],
  )
,
    
Package('zetup.notebook',
  sources=[
    'jinja.py',
    '__init__.py'
    ],
  subpackages=[
    
    ],
  )
,
    
Package('zetup.zfg',
  sources=[
    'line.py',
    'file.py',
    'parser.py',
    'data.py',
    '__init__.py'
    ],
  subpackages=[
    
    ],
  )
,
    
Package('zetup.process',
  sources=[
    'scons.py',
    '__init__.py'
    ],
  subpackages=[
    
    ],
  )

    ],
  )

  ], root=os.path.dirname(os.path.dirname(os.path.realpath(__file__))))

EMAIL = 'user@zimmermann.co'

AUTHOR = 'Stefan Zimmermann'

EXTRAS = Extras([
('commands', Requirements("""
#py2 path.py ~= 11.5.0 #import path
#py3 path.py >= 11.5.0 #import path
jinjatools >= 0.1.8

""")),
('notebook', Requirements("""
#py2 path.py ~= 11.5.0 #import path
#py3 path.py >= 11.5.0 #import path
nbconvert >= 5.4.1

""")),
('pytest', Requirements("""
pytest >= 4.6.2

"""))
], zfg=zfg)

REQUIRES = Requirements("""
setuptools_scm >= 3.0

""", zfg=zfg)

URL = 'https://github.com/zimmermanncode/zetup'

SETUP_HOOKS = []

VERSION = Version('0.2.52.dev8')

KEEP_MADE = []

NO_MAKE = ['setup.py', 'tox.ini']

TEST_COMMANDS = ['py.test -v test']

DESCRIPTION = "Zimmermann's Extensible Tools for Unified Project_setups"

SETUP_REQUIRES = None

in_repo = True

SCRIPTS = {'zetup': 'zetup.script:run'}

SETUP_KEYWORDS = {'use_zetup': 'zetup:setup_entry_point'}

DISTRIBUTION = Distribution(zfg)

CLASSIFIERS = ['Development Status :: 3 - Alpha', 'Intended Audience :: Developers', 'License :: OSI Approved :: GNU Library or Lesser General Public License (LGPL)', 'Operating System :: OS Independent', 'Topic :: Software Development', 'Topic :: Utilities', 'Programming Language :: Python', 'Programming Language :: Python :: 2', 'Programming Language :: Python :: 2.7', 'Programming Language :: Python :: 3', 'Programming Language :: Python :: 3.4', 'Programming Language :: Python :: 3.5', 'Programming Language :: Python :: 3.6']